Package org.h2gis.functions.io.json

# Class JsonDriverFunction

java.lang.Object
org.h2gis.functions.io.json.JsonDriverFunction

All Implemented Interfaces:
  `org.h2gis.api.DriverFunction`

public class JsonDriverFunction extends Object implements org.h2gis.api.DriverFunction

Author:
  Erwan Bocher (CNRS), Sylvain PALOMINOS (Lab-STICC UBS 2019, Lab-STICC UBS, Chaire GEOTERA, 2020)

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.h2gis.api.DriverFunction

`org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`JsonDriverFunction()`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`exportTable(Connection connection, String tableReference, File fileName, boolean deleteFiles, org.h2gis.api.ProgressVisitor progress)`
`String[]`
`exportTable(Connection connection, String tableReference, File file, String options, boolean deleteFiles, org.h2gis.api.ProgressVisitor progress)`
`String[]`
`exportTable(Connection connection, String tableReference, File file, String encoding, org.h2gis.api.ProgressVisitor progress)`
`String[]`
`exportTable(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress)`
`String[]`
`getExportFormats()`
`String`
`getFormatDescription(String format)`
`org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE`
`getImportDriverType()`
`String[]`
`getImportFormats()`
`String[]`
`importFile(Connection connection, String tableReference, File fileName, boolean deleteTables, org.h2gis.api.ProgressVisitor progress)`
`String[]`
`importFile(Connection connection, String tableReference, File fileName, String options, boolean deleteTables, org.h2gis.api.ProgressVisitor progress)`
`String[]`
`importFile(Connection connection, String tableReference, File fileName, String options, org.h2gis.api.ProgressVisitor progress)`
`String[]`
`importFile(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress)`
`boolean`
`isSpatialFormat(String extension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsonDriverFunction

public JsonDriverFunction()

## Method Details

### getImportDriverType

public org.h2gis.api.DriverFunction.IMPORT_DRIVER_TYPE getImportDriverType()

Specified by:
  `getImportDriverType` in interface `org.h2gis.api.DriverFunction`

### getImportFormats

public String[] getImportFormats()

Specified by:
  `getImportFormats` in interface `org.h2gis.api.DriverFunction`

### getExportFormats

public String[] getExportFormats()

Specified by:
  `getExportFormats` in interface `org.h2gis.api.DriverFunction`

### getFormatDescription

public String getFormatDescription(String format)

Specified by:
  `getFormatDescription` in interface `org.h2gis.api.DriverFunction`

### isSpatialFormat

public boolean isSpatialFormat(String extension)

Specified by:
  `isSpatialFormat` in interface `org.h2gis.api.DriverFunction`

### exportTable

public String[] exportTable(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress) throws SQLException, IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

### exportTable

public String[] exportTable(Connection connection, String tableReference, File fileName, boolean deleteFiles, org.h2gis.api.ProgressVisitor progress) throws SQLException, IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

### exportTable

public String[] exportTable(Connection connection, String tableReference, File file, String options, boolean deleteFiles, org.h2gis.api.ProgressVisitor progress) throws SQLException, IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

### exportTable

public String[] exportTable(Connection connection, String tableReference, File file, String encoding, org.h2gis.api.ProgressVisitor progress) throws SQLException, IOException

Specified by:
  `exportTable` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

### importFile

public String[] importFile(Connection connection, String tableReference, File fileName, org.h2gis.api.ProgressVisitor progress) throws SQLException, IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

### importFile

public String[] importFile(Connection connection, String tableReference, File fileName, String options, org.h2gis.api.ProgressVisitor progress) throws SQLException, IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

### importFile

public String[] importFile(Connection connection, String tableReference, File fileName, boolean deleteTables, org.h2gis.api.ProgressVisitor progress) throws SQLException, IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`

### importFile

public String[] importFile(Connection connection, String tableReference, File fileName, String options, boolean deleteTables, org.h2gis.api.ProgressVisitor progress) throws SQLException, IOException

Specified by:
  `importFile` in interface `org.h2gis.api.DriverFunction`
Throws:
  `SQLException`
  `IOException`